> ## Documentation Index
> Fetch the complete documentation index at: https://docs.automate.ax/llms.txt
> Use this file to discover all available pages before exploring further.

> ## Agent Instructions
> Automate.ax automations are TypeScript programs.
> Use Bun for installation and command examples.
> Use Automate.ax for the product name and automate.ax for the package, CLI, and domain.
> Treat documented public APIs as current; do not invent transitional or deprecated names.

# Get integration account connection

> Returns the current state of a redirect connection flow.



## OpenAPI

````yaml https://automate.ax/api/v1/openapi.json get /organizations/{organizationId}/integration-account-connections/{flowId}
openapi: 3.1.1
info:
  title: Automate.ax API
  version: 0.0.0
servers:
  - url: https://automate.ax/api/v1
security:
  - bearerAuth: []
paths:
  /organizations/{organizationId}/integration-account-connections/{flowId}:
    get:
      tags:
        - Integration Accounts
      summary: Get integration account connection
      description: Returns the current state of a redirect connection flow.
      operationId: getIntegrationAccountConnection
      parameters:
        - name: organizationId
          in: path
          required: true
          schema:
            type: string
        - name: flowId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      status:
                        const: pending
                    required:
                      - status
                  - type: object
                    properties:
                      accountId:
                        anyOf:
                          - type: string
                          - type: 'null'
                      status:
                        const: succeeded
                    required:
                      - accountId
                      - status
                  - type: object
                    properties:
                      message:
                        type: string
                      status:
                        const: failed
                    required:
                      - message
                      - status
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Automate.ax user session bearer token.

````